package com.yida.data.attendance.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.entity.attendance.EduAttendanceConfig;

public interface EduAttendanceConfigService extends IService<EduAttendanceConfig> {

    EduAttendanceConfig initConfig(Long schoolId);

    EduAttendanceConfig getConfig(Long schoolId);

    void saveConfig(EduAttendanceConfig config);

    /**
     * 添加未到推送任务
     */
    void addNotArriveTask(Long configId);

    Boolean getDormAttendanceStatus(Long schoolId, Integer time);
}
